Search documentation of stripe_elixir

# StripeElixir.Services.CustomerPaymentMethodService (stripe_elixir v0.1.0)

Copy Markdown View Source

CustomerPaymentMethod API operations.

## Summary

### Functions

list_payment_methods(client, customer, params \\ %{}, opts \\ [])

List a Customer's PaymentMethods

retrieve_payment_method(client, customer, payment_method, params \\ %{}, opts \\ [])

Retrieve a Customer's PaymentMethod

## Functions

# list_payment_methods(client, customer, params \\ %{}, opts \\ [])

    @spec list_payment_methods(StripeElixir.Client.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, StripeElixir.Error.t()}

List a Customer's PaymentMethods

Returns a list of PaymentMethods for a given Customer

# retrieve_payment_method(client, customer, payment_method, params \\ %{}, opts \\ [])

    @spec retrieve_payment_method(
      StripeElixir.Client.t(),
      String.t(),
      String.t(),
      map(),
      keyword()
    ) ::
      {:ok, term()} | {:error, StripeElixir.Error.t()}

Retrieve a Customer's PaymentMethod

Retrieves a PaymentMethod object for a given Customer.